package com.ttu.naabrivalve.onto;

import jade.content.AgentAction;
import jade.content.ContentElement;
import jade.content.lang.Codec;
import jade.content.onto.OntologyException;
import jade.content.onto.basic.Action;
import jade.content.onto.basic.Result;
import jade.core.Agent;
import jade.lang.acl.ACLMessage;

import java.util.Date;

/**
 * Created by ragnarp on 29.04.2015.
 */
public class RegisterOutOfHome implements CrimeWatchAction {
    private Date when;

    public Date getWhen() {
        return when;
    }

    public void setWhen(Date when) {
        this.when = when;
    }

    @Override
    public void handle(ACLMessage message, Agent agent) {
        try {
            ContentElement contentElement = agent.getContentManager().extractContent(message);
            Message m = new Message();
            m.setContent("OK");
            Result result = new Result((Action)contentElement, m);
            ACLMessage reply = message.createReply();
            reply.setPerformative(ACLMessage.INFORM);
            agent.getContentManager().fillContent(reply, result);
            agent.send(reply);
        } catch (Codec.CodecException e) {
            e.printStackTrace();
        } catch (OntologyException e) {
            e.printStackTrace();
        }
    }
}
