package com.ttu.naabrivalve.service;

import com.ttu.naabrivalve.model.GPSPoint;
import com.ttu.naabrivalve.model.Location;
import com.ttu.naabrivalve.model.NamedLocation;

import java.util.Random;

/**
 * Created by ragnarp on 25.04.2015.
 */
public class GPSService implements LocationService {

    private Location[] locations = {
            new NamedLocation("Tartu", new GPSPoint(0.0, 0.0)),
            new NamedLocation("Tallinn", new GPSPoint(10.0, 10.0)),
            new NamedLocation("Narva", new GPSPoint(10.0, 100.0)),
            new NamedLocation("Valga", new GPSPoint(-50.0, -10.0)),
    };

    @Override
    public Location getCurrentLocation() {
        return this.locations[new Random().nextInt(4)];
    }
}
